@import "../../../common/variables";

.topics-section {
  margin: 150px 0;

  .topics-section__container {
    .section__title {
      color: $color-dark;
    }

    .topics-section__category-list {
      margin: 30px 0;
      display: flex;
      gap: 20px;
      flex-wrap: wrap;

      li:last-child {
        margin-left: auto;
      }

      .topics-section__category-item {
        font-weight: 700;
        line-height: 25px;
        color: $color-dark;
        cursor: pointer;

        &:hover {
          color: $color-brown;
        }
      }
    }

    .topics-section__articles {
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      grid-gap: 50px 20px;
      align-items: stretch;

      @media screen and (max-width: 992px) {
        grid-template-columns: repeat(2, 1fr);
      }
      @media screen and (min-width: 993px) and (max-width: 1400px) {
        grid-template-columns: repeat(3, 1fr);
      }

      .topics-section__articles-card {
        background-color: $color-white;
        border-radius: 5px;
        position: relative;

        .card__image {
          border-radius: 5px;
          width: 100%;
        }

        .card__badges {
          position: absolute;
          top: 20px;
          right: 20px;
          display: flex;
          gap: 10px;
        }

        .card__info {
          margin: 20px;
          display: flex;
          flex-direction: column;
          gap: 15px;

          .card__date {
            font-size: 12px;
            color: $color-dark-gray;
          }

          .card__heading {
            color: $color-dark;
            font-size: 18px;
            font-weight: 700;
            line-height: 25px;
          }

          .card__description {
            color: $color-dark-gray;
            font-size: 12px;
            line-height: 20px;
          }
        }

        .card__footer {
          margin: 0 20px 20px;
          padding-top: 20px;
          border-top: 1px solid $color-white-transparent;
          display: flex;
          align-items: center;
          gap: 17px;

          .card__footer-author {
            font-size: 12px;
            line-height: 20px;

            .card__author-name {
              color: $color-author-dark;
              font-weight: 700;
              cursor: pointer;

              span {
                color: $color-dark;
              }
            }
          }
          .card__author-job {
            color: $color-dark-gray;
            font-weight: 400;
          }
        }
      }
    }
  }
}
